<?php

namespace App\Entities\Part;

use App\Models\Part\SWITCHModel;

class SWITCHEntity extends PartType3Entity
{
    const PK = SWITCHModel::PK;
    const TITLE = SWITCHModel::TITLE;

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
        $this->nullableFields = [
            ...$this->nullableFields,
            'clientinfo_uid',
            'serviceinfo_uid',
            'serverinfo_uid',
        ];
    }
    final public function getClientInfoUid(): ?int
    {
        return $this->clientinfo_uid;
    }
    final public function getServiceInfoUid(): ?int
    {
        return $this->serviceinfo_uid;
    }
    final public function getServerInfoUid(): ?int
    {
        return $this->serverinfo_uid;
    }
    public function getCode(): string
    {
        return $this->code;
    }
}
